org.apache.sling.jcr.contentparser.impl

## Class JsonTicksConverter

- java.lang.Object
- - org.apache.sling.jcr.contentparser.impl.JsonTicksConverter

    public final class JsonTicksConverter
    extends Object

Converts JSON with ticks to JSON with quotes.

Conversions:

- Converts ticks ' to " when used as quotation marks for names or string values
- Within names or string values quoted with ticks, ticks have to be escaped with `\'`. This escaping sign is removed on the conversion, because in JSON ticks must not be escaped.
- Within names or string values quoted with ticks, double quotes may or may not be escaped. After the conversion they are always escaped.

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `tickToDoubleQuote(String input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### tickToDoubleQuote

    public static String tickToDoubleQuote(String input)